<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__memory__request__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_memory_request_t</compoundname>
    <includes local="no">cy_ble_stack_host_main.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__memory__request__t_1a72ac1cff0433dc83c723f394526df979" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga0d1a56cbb6ef8f0c43e50013735f1786">cy_en_ble_protocol_req_t</ref></type>
        <definition>cy_en_ble_protocol_req_t cy_stc_ble_memory_request_t::request</definition>
        <argsstring />
        <name>request</name>
        <briefdescription>
<para>Protocol Request type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="749" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="749" />
      </memberdef>
      <memberdef id="structcy__stc__ble__memory__request__t_1af656ccbe74dc6f5a23efe785d5591dcc" kind="variable" mutable="no" prot="public" static="no">
        <type>void *</type>
        <definition>void* cy_stc_ble_memory_request_t::configMemory</definition>
        <argsstring />
        <name>configMemory</name>
        <briefdescription>
<para>This is an output parameter that the application must fill and pass to the BLE Stack as per the below table: </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;request &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;memory  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_PREPARED_WRITE_REQUEST &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;&lt;a href="structcy__stc__ble__prepare__write__request__memory__t.html#"&gt;cy_stc_ble_prepare_write_request_memory_t&lt;/a&gt; &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="757" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="757" />
      </memberdef>
      <memberdef id="structcy__stc__ble__memory__request__t_1a9988d0495cda4fa6e4699ba6757afa39" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_memory_request_t::allocFree</definition>
        <argsstring />
        <name>allocFree</name>
        <briefdescription>
<para>The event parameter is generated to allocate memory or to free up previously allocated memory CY_BLE_ALLOC_MEMORY (0) = to allocate memory for request type, CY_BLE_FREE_MEMORY (1) = free previously allocated memory for the request type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="762" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="762" />
      </memberdef>
      <memberdef id="structcy__stc__ble__memory__request__t_1a113db10641924369feaeec3fe419c54a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_memory_request_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Connection handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="765" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="765" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Memory request parameters. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1040">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="1039">
        <label>cy_stc_ble_memory_request_t</label>
        <link refid="structcy__stc__ble__memory__request__t" />
        <childnode refid="1040" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="767" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="746" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="747" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__memory__request__t_1a9988d0495cda4fa6e4699ba6757afa39" virt="non-virtual"><scope>cy_stc_ble_memory_request_t</scope><name>allocFree</name></member>
      <member prot="public" refid="structcy__stc__ble__memory__request__t_1af656ccbe74dc6f5a23efe785d5591dcc" virt="non-virtual"><scope>cy_stc_ble_memory_request_t</scope><name>configMemory</name></member>
      <member prot="public" refid="structcy__stc__ble__memory__request__t_1a113db10641924369feaeec3fe419c54a" virt="non-virtual"><scope>cy_stc_ble_memory_request_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__memory__request__t_1a72ac1cff0433dc83c723f394526df979" virt="non-virtual"><scope>cy_stc_ble_memory_request_t</scope><name>request</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>